import pytest

from bot_s3rius.actions import fun
from tests.conftest import NewMessageTestEvent


@pytest.mark.asyncio
async def test_bl_trailing_comma(patch_mark_dialogue_unread):
    event_mock = NewMessageTestEvent("test,")
    await fun.blyaficate(event_mock)
    assert not event_mock.result.endswith(",")


@pytest.mark.asyncio
async def test_bl_starting_comma(patch_mark_dialogue_unread):
    event_mock = NewMessageTestEvent(",test.")
    await fun.blyaficate(event_mock)
    assert not event_mock.result.startswith(",")
